Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Class DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod

All Implemented Interfaces:
  `CircuitBreakerLifecycleService`

@Dependent @CircuitBreaker(requestVolumeThreshold=4) @Typed(DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod.class) public class DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod extends BaseCircuitBreakerOnClassAndMethod

## Constructor Summary

Constructors
Constructor
Description
`DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod()`

## Method Summary

Modifier and Type
Method
Description
`void`
`service()`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod

`instanceId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod

public DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod()

## Method Details

### service

public void service() throws IOException

Specified by:
  `service` in interface `CircuitBreakerLifecycleService`
Overrides:
  `service` in class `BaseCircuitBreakerOnClassAndMethod`
Throws:
  `IOException`